{output}: Get compound properties by InChIKey

API: nih.gov:pubchem-property-api
Endpoint: /compound/inchikey/{inchikey}/property/{properties}/{output}
Response format: application/json
Auth: unknown
Method: GET
Last Status: 200
Latency: 657ms

Description

Retrieve chemical properties for a compound specified by its InChIKey

Parameters (3)

inchikey (string, path, required)

InChIKey identifier

output (string, path, required, default: JSON)

Output format

Constraints: {'enum': ['JSON', 'XML']}

properties (string, path, required)

Comma-separated list of properties to retrieve

Examples (3)

Get properties by InChIKey openapi-spec
curl 'https://pubchem.ncbi.nlm.nih.gov/rest/pug/compound/inchikey/BSYNRYMUTXBXSQ-UHFFFAOYSA-N/property/MolecularFormula,MolecularWeight/JSON'
import requests

resp = requests.get("https://pubchem.ncbi.nlm.nih.gov/rest/pug/compound/inchikey/BSYNRYMUTXBXSQ-UHFFFAOYSA-N/property/MolecularFormula,MolecularWeight/JSON")
data = resp.json()
import zingu_apis

api = zingu_apis.api("pubchem-property")
result = api.fetch("compound/inchikey/{inchikey}/property/{properties}/{output}")

for item in result:
    print(item)
const resp = await fetch("https://pubchem.ncbi.nlm.nih.gov/rest/pug/compound/inchikey/BSYNRYMUTXBXSQ-UHFFFAOYSA-N/property/MolecularFormula,MolecularWeight/JSON");
const data = await resp.json();
Get compound properties by InChIKey openapi-spec
curl 'https://pubchem.ncbi.nlm.nih.gov/rest/pug/compound/inchikey/XLYOFNOQVPJJNP-UHFFFAOYSA-N/property/MolecularFormula,MolecularWeight/{output}'
import requests

resp = requests.get("https://pubchem.ncbi.nlm.nih.gov/rest/pug/compound/inchikey/XLYOFNOQVPJJNP-UHFFFAOYSA-N/property/MolecularFormula,MolecularWeight/{output}")
data = resp.json()
import zingu_apis

api = zingu_apis.api("pubchem-property")
result = api.fetch("compound/inchikey/{inchikey}/property/{properties}/{output}")

for item in result:
    print(item)
const resp = await fetch("https://pubchem.ncbi.nlm.nih.gov/rest/pug/compound/inchikey/XLYOFNOQVPJJNP-UHFFFAOYSA-N/property/MolecularFormula,MolecularWeight/{output}");
const data = await resp.json();
Get compound properties by InChIKey probe-gate
curl 'https://pubchem.ncbi.nlm.nih.gov/rest/pug/compound/inchikey/XLYOFNOQVPJJNP-UHFFFAOYSA-N/property/MolecularFormula,MolecularWeight/JSON'
import requests

resp = requests.get("https://pubchem.ncbi.nlm.nih.gov/rest/pug/compound/inchikey/XLYOFNOQVPJJNP-UHFFFAOYSA-N/property/MolecularFormula,MolecularWeight/JSON")
data = resp.json()
import zingu_apis

api = zingu_apis.api("pubchem-property")
result = api.fetch("compound/inchikey/{inchikey}/property/{properties}/{output}")

for item in result:
    print(item)
const resp = await fetch("https://pubchem.ncbi.nlm.nih.gov/rest/pug/compound/inchikey/XLYOFNOQVPJJNP-UHFFFAOYSA-N/property/MolecularFormula,MolecularWeight/JSON");
const data = await resp.json();

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-04-16 01:21:59.825902 200 657ms
2026-04-16 00:33:17.043163 200 538ms
2026-04-15 03:04:13.703958 200 441ms
2026-04-15 01:35:48.057905 200 502ms
2026-04-14 01:50:34.565908 200 468ms
2026-04-14 00:42:22.403966 200 432ms
2026-04-12 13:16:21.245467 200 497ms
2026-04-12 12:34:39.846189 200 546ms
2026-04-10 02:19:18.426455 200 397ms
2026-04-10 00:05:47.390707 200 592ms
2026-04-09 02:32:51.961765 200 530ms
2026-04-09 00:38:04.437941 200 456ms
2026-03-23 09:11:21.961081 200 450ms
2026-03-23 09:06:19.699671 200 443ms